function local2global (x, y, a, refx, refy, refa)
	local dist = (x^2 + y^2) ^ 0.5
	local angle = math.atan2(y, x)

	local angle2 = refa + angle
	local globx = refx + dist * math.cos(angle2)
	local globy = refy + dist * math.sin(angle2)
	local globa = refa + a
	return globx, globy, globa
end



-- vim: ts=4 sw=4 si
